Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.sslbisocket
Class SSLBisocketClientInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.MicroRemoteClientInvoker
              org.jboss.remoting.RemoteClientInvoker
                  org.jboss.remoting.transport.socket.MicroSocketClientInvoker
                      org.jboss.remoting.transport.socket.SocketClientInvoker
                          org.jboss.remoting.transport.bisocket.BisocketClientInvoker
                              org.jboss.remoting.transport.sslbisocket.SSLBisocketClientInvoker

All Implemented Interfaces:
  Invoker, BidirectionalClientInvoker, ClientInvoker

    public class SSLBisocketClientInvoker

extends BisocketClientInvoker

Author:
  Tom Elrod * @author Ron Sigal

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary

Fields inherited from class org.jboss.remoting.transport.bisocket.BisocketClientInvoker
`isCallbackInvoker, listenerId, pingFailed`

Fields inherited from class org.jboss.remoting.transport.socket.SocketClientInvoker
`SO_TIMEOUT_DEFAULT, SO_TIMEOUT_FLAG, timeout`

Fields inherited from class org.jboss.remoting.transport.socket.MicroSocketClientInvoker
`addr, address, CLIENT_SOCKET_CLASS_FLAG, clientSocketClass, clientSocketClassName, connectionPools, deserializeTime, enableTcpNoDelay, getSocketTime, MAX_CALL_RETRIES, MAX_POOL_SIZE, MAX_POOL_SIZE_FLAG, MAX_RETRIES, maxPoolSize, numberOfCallRetries, numberOfRetries, pool, port, readTime, semaphore, semaphores, serializeTime, shouldCheckConnection, TCP_NODELAY_DEFAULT, TCP_NODELAY_FLAG, usedPoolLock, writeTime`

Fields inherited from class org.jboss.remoting.MicroRemoteClientInvoker
`connected`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`SSLBisocketClientInvoker(InvokerLocator locator)`
`SSLBisocketClientInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected java.net.Socket` | `createSocket(java.lang.String address, int port, int timeout)`
`protected javax.net.SocketFactory` | `createSocketFactory(java.util.Map configuration)` If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.

Methods inherited from class org.jboss.remoting.transport.bisocket.BisocketClientInvoker
`getCallbackLocator, getMaxRetries, getPingFrequency, handleConnect, handleDisconnect, setMaxRetries, setPingFrequency, transport`

Methods inherited from class org.jboss.remoting.transport.socket.SocketClientInvoker
`configureParameters, createClientSocket, createServerAddress, getPooledConnection, getTimeout, handleException, toString`

Methods inherited from class org.jboss.remoting.transport.socket.MicroSocketClientInvoker
`checkingConnection, clearPool, clearPools, disconnect, finalize, flushConnectionPool, getConnection, getDefaultDataType, getNumberOfAvailableConnections, getNumberOfCallRetries, getNumberOfRetries, getNumberOfUsedConnections, getReuseAddress, getServerHostName, initPool, setNumberOfCallRetries, setNumberOfRetries, setReuseAddress, setup`

Methods inherited from class org.jboss.remoting.MicroRemoteClientInvoker
`connect, establishLease, getLeasePeriod, getMarshaller, getSessionId, getUnMarshaller, invoke, isConnected, postProcess, preProcess, setMarshaller, setUnMarshaller, terminateLease`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.transport.ClientInvoker
`addClientLocator, connect, disconnect, establishLease, getClientLocator, getClientLocators, getLeasePeriod, getMarshaller, getSocketFactory, getUnMarshaller, invoke, isConnected, setMarshaller, setSocketFactory, setUnMarshaller, terminateLease`

Methods inherited from interface org.jboss.remoting.Invoker
`getLocator`

Constructor Detail

### SSLBisocketClientInvoker

    public SSLBisocketClientInvoker(InvokerLocator locator)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

### SSLBisocketClientInvoker

    public SSLBisocketClientInvoker(InvokerLocator locator,
                                    java.util.Map configuration)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### createSocketFactory

    protected javax.net.SocketFactory createSocketFactory(java.util.Map configuration)

  Description copied from class: `AbstractInvoker`
  If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.

  Overrides:
    `createSocketFactory` in class `AbstractInvoker`

### createSocket

    protected java.net.Socket createSocket(java.lang.String address,
                                           int port,
                                           int timeout)
                                    throws java.io.IOException

  Overrides:
    `createSocket` in class `BisocketClientInvoker`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.